arrangers:
- link: artist/32418
  names:
    en: Ian Cowell
- link: artist/57522
  names:
    en: Carrie Wood
catalog: N/A
categories:
- Game
category: Game
classification: Arrangement
composers: []
covers: []
discs:
- disc_length: '17:27'
  name: Disc 1
  tracks:
  - names:
      English: Ginza (Shin Megami Tensei)
    track_length: '1:58'
  - names:
      English: Cathedral of Shadows (Shin Megami Tensei II)
    track_length: '1:54'
  - names:
      English: 'Title Loop 2 (Shin Megami Tensei III: Nocturne)'
    track_length: '2:00'
  - names:
      English: Battle B2 (Shin Megami Tensei IV)
    track_length: '3:15'
  - names:
      English: 'Large Map (Shin Megami Tensei IV: Apocalypse)'
    track_length: '2:54'
  - names:
      English: Tokyo Daybreak (Shin Megami Tensei V)
    track_length: '5:26'
link: album/135399
lyricists: []
media_format: Digital
meta:
  added_date: 2023-12-29T11:02
  edited_date: 2024-01-01T08:13
  fetched_date: 2024-10-05T07:25
  ttl: 86400
  visitors: 570
name: Is This Persona?
names:
  en: Is This Persona?
  ja: Is This Persona?
  ja-latn: Is This Persona?
notes: 'Shin Megami Tensei celebrated its 30th anniversary, so we''re here to celebrate
  Shin Megami Tensei! The mainline SMT franchise has long been overlooked in favor
  of its more popular (AKA "easier") spinoffs, but we''re not playing around.

  Here''s six tracks that will make you wonder, "Is This Persona?" NO! It''s Shin
  Megami Tensei from Bi Score!!! It''s music to fuse demons to! It''s music to attack
  and dethrone god to! It''s music to ponder law versus chaos to! It''s music to achieve
  the True Demon Ending to! Featuring Dante from the Devil May Cry Series!!!

  Bi Score is:

  Ian Cowell: Guitars, synths

  Carrie Wood: Bass, guitar

  Album artwork by Ernie Wood: www.instagram.com/ohhey.studio/

  Tracks 1, 3, 4 and 5 arranged by Ian Cowell.

  Tracks 2 and 6 arranged by Carrie Wood.

  Mixing and mastering by Ian Cowell.

  Tracks 1 and 2 originally composed by Tsukasa Masuko.

  Track 3 originally composed by Shoji Meguro.

  Tracks 4, 5 and 6 originally composed by Ryota Kozuka.'
organizations:
- &id001
  names:
    en: Bi Score
    ja: Bi Score
    ja-latn: Bi Score
  role: publisher
performers:
- link: artist/57438
  names:
    en: Bi Score
picture_full: https://media.vgm.io/albums/99/135399/135399-8e49ea763a51.jpg
picture_small: https://medium-media.vgm.io/albums/99/135399/135399-8e49ea763a51.jpg
picture_thumb: https://thumb-media.vgm.io/albums/99/135399/135399-8e49ea763a51.jpg
platforms:
- Apple iOS
- Google Android
- NEC PC-Engine
- Nintendo 3DS
- Nintendo Game Boy Advance
- Nintendo Switch
- PC
- Sega CD
- SNES (Super Famicom)
- Sony PlayStation
- Sony PlayStation 2
- Sony PlayStation 4
products:
- link: product/591
  names:
    en: Shin Megami Tensei
    ja: 真・女神転生
    ja-latn: Shin Megami Tensei
- link: product/593
  names:
    en: Shin Megami Tensei II
    ja: 真・女神転生II
    ja-latn: Shin Megami Tensei II
- link: product/594
  names:
    en: 'Shin Megami Tensei III: Nocturne'
    ja: 真・女神転生III-NOCTURNE
    ja-latn: 'Shin Megami Tensei III: Nocturne'
- link: product/1828
  names:
    en: Shin Megami Tensei IV
    ja: 真・女神転生IV
    ja-latn: Shin Megami Tensei IV
- link: product/8620
  names:
    en: 'Shin Megami Tensei IV: Apocalypse'
    ja: 真・女神転生IV FINAL
    ja-latn: 'Shin Megami Tensei IV: FINAL'
- link: product/8623
  names:
    en: Shin Megami Tensei V
    ja: 真・女神転生V
    ja-latn: Shin Megami Tensei V
publish_format: Commercial
publisher: *id001
related: []
release_date: '2023-12-29'
release_events: []
release_price:
  currency: USD
  price: 5.0
reprints: []
stores:
- link: http://www.amazon.com/dp/B0CV4NCT27/
  name: Amazon.com
- link: http://biscore.bandcamp.com/album/is-this-persona
  name: Bandcamp
- link: http://music.apple.com/us/album/1729477584
  name: iTunes
- link: http://open.spotify.com/album/4bOt9i1RH6jcYAzItsmgwT
  name: Spotify
- link: http://tidal.com/browse/album/344096847
  name: TIDAL
- link: http://music.youtube.com/playlist?list=OLAK5uy_nfegccO2BhdJcBeJ7V3KJoQXy69hAOnCU
  name: YouTube Music
vgmdb_link: https://vgmdb.net/album/135399?perpage=99999
votes: 0
